package de.avatic.lcc.util.exception.badrequest;

import de.avatic.lcc.util.exception.base.BadRequestException;

public class InvalidArgumentException extends BadRequestException {

    public InvalidArgumentException(String parameterName, String parameterValue) {
        super("Invalid Parameter", "Parameter " + parameterName + " set to invalid value " + parameterValue, null);
    }

    public InvalidArgumentException(String errorText) {
        super("Invalid Parameter", errorText, null);
    }

}
